VM_PAGE_WIRE(9)

NAME
vm_page_wire, vm_page_unwire - wire and unwire pages

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_page.h>
void
vm_page_wire(vm_page_t m);
void
vm_page_unwire(vm_page_t m, int activate);

DESCRIPTION
The vm_page_wire() function increments the wire count on a page, and removes it from whatever queue it is on.

The vm_page_unwire() function releases one of the wirings on the page. When write_count reaches zero the page is placed back onto either the active queue (if activate is non-zero) or onto the inactive queue (if activate is zero). If the page is unmanaged (PG_UNMANAGED is set) then the page is left on PQ_NONE.

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.